
QGIS Application - Bug report #8298

CRS change with recently used CRS makes no effect in the first choice

2013-07-14 05:03 PM - Pedro Venâncio

Status: Closed

Priority: Normal

Assignee: Tim Sutton

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17094

Description

When I add WMS layers and try to change the CRS, the first choice in the recently used CRS, makes no effect.

I've made a screencast to illustrate the situation: http://goo.gl/aVREL

This also happens to me with the CRS change of other types of layers besides WMS, but with a less regular pattern, ie, does not always

happen and I can not see the pattern to happen a few times and others not.

Related issues:

Related to QGIS Application - Bug report # 8499: OWS tab - adding CRS restric... Closed 2013-08-22

Related to QGIS Application - Bug report # 9475: "Recently used coordinate re... Closed 2014-02-02

Duplicated by QGIS Application - Bug report # 8959: wms failing to show valid... Closed 2013-10-28

Associated revisions

Revision abc7b9b8 - 2014-03-26 11:50 AM - Mathias Walker

fix #8298 ignored first selection of recently used CRS in projection selector

Revision 8f938dd2 - 2014-03-31 08:03 AM - Marco Hugentobler

Merge pull request #1267 from mwa/fix_8298_crs_select

Fix #8298 ignored first selection in projection selector

History

#1 - 2013-07-15 05:18 AM - Giovanni Manghi

certainly a regression and very annoying from a user point of view.

#2 - 2013-08-15 09:05 PM - ramon .

- File GeorefSelection.png added

this also applies to the target srs dialog in the Georeferencer

Open georeferencer Settings->Transformation Settings->Select Target CRS

2024-04-26 1/2

http://goo.gl/aVREL


#3 - 2013-08-16 01:28 AM - Giovanni Manghi

- Category set to GUI

- OS version deleted (Xubuntu 12.04)

- Operating System deleted (Linux)

This should really be a blocker as it is a regression and make work difficult.

#4 - 2013-10-28 02:19 PM - Richard Duivenvoorde

This: #8959 now closed issue is about the same problem.

#5 - 2014-01-10 01:43 AM - René-Luc ReLuc

- Assignee set to René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 90

- Target version changed from Version 2.0.0 to Future Release - High Priority

If the developer, doesn't selector a default CRS, the projection

selector selects the last recent selected CRS.

https://github.com/qgis/QGIS/pull/1063

#6 - 2014-01-10 06:19 AM - René-Luc ReLuc

- Assignee changed from René-Luc ReLuc to Tim Sutton

#7 - 2014-01-10 06:19 AM - René-Luc ReLuc

- Status changed from Open to In Progress

#8 - 2014-03-30 11:03 PM - Marco Hugentobler

- Status changed from In Progress to Closed

Fixed in changeset commit:"8f938dd20ab26d3a4a3e8aacda63a9035d156fcd".

Files
